Public Member Functions | Public Attributes | List of all members
libvisio::XForm Struct Reference

`#include <VSDTypes.h>`

## Public Member Functions
| XForm ()
| XForm (const XForm &xform)=default
XForm & | operator= (const XForm &xform)=default

## Public Attributes
double | pinX
double | pinY
double | height
double | width
double | pinLocX
double | pinLocY
double | angle
bool | flipX
bool | flipY
double | x
double | y

## Constructor & Destructor Documentation

## ◆ XForm() [1/2]

libvisio::XForm::XForm | ( |  | ) |
| inline

## ◆ XForm() [2/2]

libvisio::XForm::XForm | ( | const XForm & | xform | ) |
| default

## Member Function Documentation

## ◆ operator=()

XForm & libvisio::XForm::operator= | ( | const XForm & | xform | ) |
| default

## Member Data Documentation

## ◆ angle

double libvisio::XForm::angle

Referenced by libvisio::VSDContentCollector::applyXForm().

## ◆ flipX

bool libvisio::XForm::flipX

Referenced by libvisio::VSDContentCollector::applyXForm(), and libvisio::VSDContentCollector::transformFlips().

## ◆ flipY

bool libvisio::XForm::flipY

Referenced by libvisio::VSDContentCollector::applyXForm(), and libvisio::VSDContentCollector::transformFlips().

## ◆ height

double libvisio::XForm::height

## ◆ pinLocX

double libvisio::XForm::pinLocX

Referenced by libvisio::VSDContentCollector::applyXForm().

## ◆ pinLocY

double libvisio::XForm::pinLocY

Referenced by libvisio::VSDContentCollector::applyXForm().

## ◆ pinX

double libvisio::XForm::pinX

Referenced by libvisio::VSDContentCollector::applyXForm().

## ◆ pinY

double libvisio::XForm::pinY

Referenced by libvisio::VSDContentCollector::applyXForm().

## ◆ width

double libvisio::XForm::width

## ◆ x

double libvisio::XForm::x

## ◆ y

double libvisio::XForm::y

The documentation for this struct was generated from the following file:

- VSDTypes.h